* MARK.CMD
* WRITTEN BY MICHAEL LYNN
DO WHILE T
store 0000 to xnum
ERASE
@ 5, 4 SAY 'ENTER AN INVOICE NUMBER OF 0 TO RETURN TO MENU'
@ 6, 4 SAY 'ENTER INVOICE NUMBER TO MARK PAID' GET xnum PICTURE '9999'
READ
  IF xnum = 0
  ERASE
  RETURN
  ENDIF

STORE STR(xnum,4) TO um

FIND &um
  IF #=0
  @ 8, 6 SAY 'THAT INVOICE NUMBER HAS NOT YET BEEN USED'
  SET CONSOLE OFF
  WAIT
  SET CONSOLE ON

  ELSE
  @ 8, 6 SAY TRIM(FIRST)+' '+LAST
  @ 9, 6 SAY "DATE OF INVOICE"+' '+date
  @ 10, 6 SAY "INVOICE TOTAL"
  @ 10,20 say total
  @ 12, 6 SAY "ENTER A Y IF INVOICE HAS BEEN PAID"
  @ 13, 6 GET paid PICTURE '!'
  READ
  ENDIF
ENDDO
RELEASE xnum, still, um
RETURN
